%define anolis_release 1

%global projectname cached-property
%global modulename  cached_property

Name:           python-%{modulename}
Version:        1.5.2
Release:        %{anolis_release}%{?dist}
Summary:        A cached-property for decorating methods in Python classes
License:        BSD
URL:            https://github.com/pydanny/%{projectname}
Source0:        https://github.com/pydanny/%{projectname}/archive/%{version}/%{projectname}-%{version}.tar.gz
# Disable a couple of test checks that fail with freezegun 0.3.11
# See https://github.com/pydanny/cached-property/issues/131
Patch0:         0001-Disable-checks-broken-with-freezegun-0.3.11-131.patch

BuildArch:      noarch

%description
cached_property allows properties in Python classes to be cached until the cache
is invalidated or expired.

%package -n python%{python3_pkgversion}-%{modulename}
Summary:        A cached-property for decorating methods in Python classes.
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-dateutil
BuildRequires:  python%{python3_pkgversion}-freezegun
BuildRequires:  python%{python3_pkgversion}-pytest
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modulename}}
# This package was python3-{projectname} for a long time, but never should've
# been
Provides:       python%{python3_pkgversion}-%{projectname} = %{version}-%{release}
Obsoletes:      python%{python3_pkgversion}-%{projectname} < 1.3.0

%description -n python%{python3_pkgversion}-%{modulename}
cached_property allows properties in Python classes to be cached until the cache
is invalidated or expired.

%package -n python%{python3_pkgversion}-%{modulename}-doc
Summary: Doc files for python%{python3_pkgversion}-%{modulename}
Requires: python%{python3_pkgversion}-%{modulename} = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{modulename}-doc
Doc files for python%{python3_pkgversion}-%{modulename}

%prep
%autosetup -p1 -n %{projectname}-%{version}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}

%check
PYTHONPATH=./ py.test-3

%files -n python%{python3_pkgversion}-%{modulename}
%license LICENSE
%{python3_sitelib}/%{modulename}*
%{python3_sitelib}/__pycache__/%{modulename}*

%files -n python%{python3_pkgversion}-%{modulename}-doc
%doc AUTHORS.rst HISTORY.rst CONTRIBUTING.rst README.rst

%changelog
* Thu Jun 15 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.5.2-1
- init from upstream
